Get the folder path and the file name of an output file of an asset instance. An asset instance is a copy of an asset in a shot or a scene. The temporal entity is this shot or this scene. The route uses the file tree of the project to make the path. The route uses the revision of the body as it is. A vendor must have a task on the asset of the instance.
POST
/data/asset-instances/{asset_instance_id}/entities/{temporal_entity_id}/output-file-path
curl
curl -X POST "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-file-path" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "main",
"mode": "output",
"output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
"extension": ".mp4",
"representation": "mp4",
"revision": 1,
"separator": "/"
}'
import requests
url = "http://api.example.com/data/asset-instances/a24a6ea4-ce75-4665-a070-57453082c25/entities/b35b7fb5-df86-5776-b181-68564193d36/output-file-path"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "main",
"mode": "output",
"output_type_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"task_type_id": "b35b7fb5-df86-5776-b181-68564193d36",
"extension": ".mp4",
"representation": "mp4",
"revision": 1,
"separator": "/"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "main",
"mode": "output",
"output_type_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
"extension": ".mp4",
"representation": "mp4",
"revision": 1,
"separator": "/"
}
Response examples (200)
{
"folder_path": "/project/asset/instance/output",
"file_name": "main_v001.mp4"
}